This page was not yet optimized for use on mobile devices.
HPE BladeSystem c-Class Onboard Administrator Firmware
Certificate details
| Certificate ID | #3174 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 20.04.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Firmware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When installed, initialized and configured as indicated in the Security Policy in Section 3 |
| Exceptions |
|
| Description | The module provides administrative control of the HPE BladeSystem c7000 enclosure. The module supports TLS v1.2 and SSH for secure administrative access to the module, as well as various forms of authentication, including local, LDAP, and CAC. |
| Version (Firmware) | 4.71 |
| Tested configurations |
|
| Vendor | Hewlett Packard Enterprise Development LP http://www.hpe.com |
| Lab | CGI Information Systems & Management Consultants Inc |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-, AES-128, AES-256, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CBC-MAC, CMACAsymmetric Algorithms
RSA-2048, RSA-3072, ECDH, ECDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA-384, SHA-512, SHA-224, MD5Schemes
Key agreement, Key AgreementProtocols
SSH, SSL, TLSv1.2, TLSRandomness
DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-512Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCMSecurity level
Level 1, level 1Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3174,
"dgst": "144dc53d5dff011b",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"CVL#1500",
"#3920",
"#3922",
"ECDSA#1201",
"Triple-DES#2538",
"#1654",
"DRBG#1654",
"#1201",
"#2538",
"SHS#3922",
"CVL#1423",
"AES#4776",
"RSA#2617",
"#2617",
"SHS#3920",
"SHS#3921",
"#3186",
"#3921",
"#1500",
"#1421",
"#1422",
"HMAC#3186",
"#1423",
"#4776",
"CVL#1421",
"CVL#1422"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"4.71"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDH": {
"ECDH": 6
},
"ECDSA": {
"ECDSA": 17
}
},
"FF": {
"DH": {
"DH": 8,
"Diffie-Hellman": 4
},
"DSA": {
"DSA": 1
}
},
"RSA": {
"RSA-2048": 2,
"RSA-3072": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 1
},
"CFB": {
"CFB": 2
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 18
},
"OFB": {
"OFB": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"SSH": {
"SSH": 37
},
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 42,
"TLSv1.2": 4
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1,
"Key agreement": 2
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-224": 6,
"P-256": 6,
"P-384": 20,
"P-512": 2,
"P-521": 2
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES 4": 4,
"AES GCM IV 27": 1,
"AES-128": 5,
"AES-256": 6,
"DRBG 10": 1,
"HMAC 11": 2,
"HMAC SHA-1": 1,
"HMAC SHA-224": 1,
"HMAC SHA-256": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC-SHA-1": 6,
"HMAC-SHA-1-96": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 4,
"HMAC-SHA-384 384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA-512 160": 2,
"RSA 12": 2,
"SHA 13 -224": 1,
"SHA-1": 6,
"SHA-1 2048": 1,
"SHA-224": 4,
"SHA-256": 8,
"SHA-384": 9,
"SHA-512": 3,
"SHA-512 2048": 2,
"SHS 14": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 7
},
"SHA2": {
"SHA-224": 4,
"SHA-256": 8,
"SHA-384": 9,
"SHA-512": 5
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 37
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 45,
"FIPS 1402": 2,
"FIPS PUB 180-4": 6,
"FIPS PUB 186-2": 1,
"FIPS PUB 186-4": 6,
"FIPS PUB 197": 6,
"FIPS PUB 198-1": 2
},
"NIST": {
"NIST SP 800-133": 2,
"NIST SP 800-38A": 5,
"NIST SP 800-38D": 3,
"NIST SP 800-56A": 2,
"NIST SP 800-67": 1,
"NIST SP 800-90A": 2,
"SP 800-90A": 6
},
"RFC": {
"RFC 5246": 2,
"RFC 5288": 1,
"RFC2246": 1,
"RFC4346": 1
},
"X509": {
"X.509": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 14,
"AES-": 3,
"AES-128": 5,
"AES-256": 6
}
},
"DES": {
"3DES": {
"Triple-DES": 7
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CBC-MAC": 1,
"CMAC": 1,
"HMAC": 8,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 3,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"CVL#1500",
"SHS#3921",
"HMAC#3186",
"SHS#3922",
"CVL#1423",
"ECDSA#1201",
"AES#4776",
"RSA#2617",
"Triple-DES#2538",
"CVL#1421",
"DRBG#1654",
"SHS#3920",
"CVL#1422"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1422",
"#1201",
"#2538",
"#3186",
"#2617",
"#3920",
"#3921",
"#3922",
"#1500",
"#1421",
"#1423",
"#4776",
"#1654"
]
},
"policy_metadata": {
"/Author": "Corsec Security, Inc.",
"/CreationDate": "D:20180315141846-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2016",
"/ModDate": "D:20180315141846-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2016",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 1000673,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.corsec.com/",
"mailto:[email protected]",
"http://csrc.nist.gov/groups/STM/cmvp/documents/140-1/140val-all.htm",
"https://h20565.www2.hpe.com/hpsc/doc/public/display?docId=c00702815",
"http://csrc.nist.gov/groups/STM/cmvp",
"https://h20566.www2.hpe.com/hpsc/doc/public/display?docId=c00705292",
"http://www.hpe.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 33
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "567cec99be6a1907a5ceca104544cfc2ee233c59beac45f0033be13f4cd8f944",
"source_hash": "56fcb6210ce6e5581f38efc6da44d89b9dd16622758231402c965580802fde93",
"txt_hash": "3f3427eabaa58501dae4319faeffcf713e760e1f6ca9692a37055a78409ef86d"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When installed, initialized and configured as indicated in the Security Policy in Section 3",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/AprilConsolidated2018.pdf",
"date_sunset": null,
"description": "The module provides administrative control of the HPE BladeSystem c7000 enclosure. The module supports TLS v1.2 and SSH for secure administrative access to the module, as well as various forms of authentication, including local, LDAP, and CAC.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 2",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "4.71",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "HPE BladeSystem c-Class Onboard Administrator Firmware",
"module_type": "Firmware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": [
"HPE BLc7000 Onboard Administrator with KVM option"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-04-20",
"lab": "CGI Information Systems \u0026 Management Consultants Inc",
"validation_type": "Initial"
}
],
"vendor": "Hewlett Packard Enterprise Development LP",
"vendor_url": "http://www.hpe.com"
}
}